Open Infrastructure - Task #7201

Task # 7178 (Closed): Replace routers: router1.place5, router2.placeb, router1.place6, router2.place6

Test BGP based virtual ip
10/02/2019 06:39 PM - Nico Schottelius
Description

¢ |P on dummy/loopback
¢ Announced /128 via bgp

History

#1 - 10/03/2019 01:20 PM - Nico Schottelius
routerl:~# ip addr add 2a0a:e5c0:100::4242/128 dev lo

e bird:

filter routerlsane {
if (net ~ [ 2a0a:e5c0:100::/40+ ]) then {
accept;
}
reject;

}

protocol direct {
interface "dummyO";

# ipvd |
# import filter from_loopback;
# export none;
# }i
ipvée {
import filter from_loopback;
export none;
}i
}
interfaces:

auto dummyO
iface dummyO inet manual
up ip link add $IFACE type dummy
up ip link set $IFACE up
down ip link del $IFACE type dummy
post-up ip addr add 2a0a:e5c0:100::4242/128 dev SIFACE

#2 - 10/03/2019 04:30 PM - Nico Schottelius

The commands in the previous comment are enough to enable the IP address globally. However, it is not enough for enabling it locally, as the NDP
process does not work without the switches knowing how to access it.

Checking switches:

B 2a0a:eb5c0:2:5::4242/128 [200/0]
via 2a0a:e5c0:1:8:714a:8de7:67ca:7284, Vlan8

The router is actually receiving the NDP query:

16:43:17.121249 IP6 2a0a:eb5c0:2:5:70c2:d35d:93a0:e367 > ££f02::1:££00:4242: ICMP6, neighbor solicitation, who h
as 2al0a:ebc0:2:5::4242, length 32
However router1.place6 does not answer it (likely due to being on the wrong interface)
Then again, the switches can reach the ipv6 address:

[admin@switch5-place6 ~]$ ping6 2ala:e5c0:2:5::4242

PING 2a0a:e5c0:2:5::4242 (2ala:eb5c0:2:5::4242) 56 data bytes

64 bytes from 2a0a:ebc0:2:5::4242: icmp_seg=1l ttl=64 time=0.379 ms
64 bytes from 2al0a:ebc0:2:5::4242: icmp_seqg=2 ttl=64 time=0.250 ms
2C

-—— 2a0a:e5c0:2:5::4242 ping statistics —-—-

2 packets transmitted, 2 received, 0% packet loss, time 1000ms

rtt min/avg/max/mdev = 0.250/0.314/0.379/0.066 ms
[admin@switch5-place6 ~1$

e So the problem so far is that NDP is not reaching dummyO.
¢ |f we setup the virtual IP address on the real interface (bond0.15), then likely DAD will prevent it from functioning, as it is assigned twice.

#3 - 01/03/2024 08:50 AM - Nico Schottelius

- Status changed from In Progress to Closed
